
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for backend/controllers</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../prettify.css" />
    <link rel="stylesheet" href="../../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../../index.html">All files</a> backend/controllers</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">68.78% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>216/314</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">65.59% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>61/93</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">77.77% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>28/36</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">68.78% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>216/314</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line medium'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file high" data-value="discount.js"><a href="discount.js.html">discount.js</a></td>
	<td data-value="80" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 80%"></div><div class="cover-empty" style="width: 20%"></div></div>
	</td>
	<td data-value="80" class="pct high">80%</td>
	<td data-value="40" class="abs high">32/40</td>
	<td data-value="71.42" class="pct medium">71.42%</td>
	<td data-value="14" class="abs medium">10/14</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="5" class="abs high">5/5</td>
	<td data-value="80" class="pct high">80%</td>
	<td data-value="40" class="abs high">32/40</td>
	</tr>

<tr>
	<td class="file medium" data-value="menuController.js"><a href="menuController.js.html">menuController.js</a></td>
	<td data-value="65.78" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 65%"></div><div class="cover-empty" style="width: 35%"></div></div>
	</td>
	<td data-value="65.78" class="pct medium">65.78%</td>
	<td data-value="76" class="abs medium">50/76</td>
	<td data-value="60" class="pct medium">60%</td>
	<td data-value="30" class="abs medium">18/30</td>
	<td data-value="66.66" class="pct medium">66.66%</td>
	<td data-value="9" class="abs medium">6/9</td>
	<td data-value="65.78" class="pct medium">65.78%</td>
	<td data-value="76" class="abs medium">50/76</td>
	</tr>

<tr>
	<td class="file medium" data-value="orderMenu.js"><a href="orderMenu.js.html">orderMenu.js</a></td>
	<td data-value="72.5" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 72%"></div><div class="cover-empty" style="width: 28%"></div></div>
	</td>
	<td data-value="72.5" class="pct medium">72.5%</td>
	<td data-value="40" class="abs medium">29/40</td>
	<td data-value="70" class="pct medium">70%</td>
	<td data-value="10" class="abs medium">7/10</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="6" class="abs high">6/6</td>
	<td data-value="72.5" class="pct medium">72.5%</td>
	<td data-value="40" class="abs medium">29/40</td>
	</tr>

<tr>
	<td class="file medium" data-value="orders.js"><a href="orders.js.html">orders.js</a></td>
	<td data-value="79.41" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 79%"></div><div class="cover-empty" style="width: 21%"></div></div>
	</td>
	<td data-value="79.41" class="pct medium">79.41%</td>
	<td data-value="34" class="abs medium">27/34</td>
	<td data-value="75" class="pct medium">75%</td>
	<td data-value="8" class="abs medium">6/8</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="5" class="abs high">5/5</td>
	<td data-value="79.41" class="pct medium">79.41%</td>
	<td data-value="34" class="abs medium">27/34</td>
	</tr>

<tr>
	<td class="file low" data-value="payment.js"><a href="payment.js.html">payment.js</a></td>
	<td data-value="26.08" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 26%"></div><div class="cover-empty" style="width: 74%"></div></div>
	</td>
	<td data-value="26.08" class="pct low">26.08%</td>
	<td data-value="23" class="abs low">6/23</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="2" class="abs low">0/2</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="2" class="abs low">0/2</td>
	<td data-value="26.08" class="pct low">26.08%</td>
	<td data-value="23" class="abs low">6/23</td>
	</tr>

<tr>
	<td class="file high" data-value="salesSummary.js"><a href="salesSummary.js.html">salesSummary.js</a></td>
	<td data-value="91.66" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 91%"></div><div class="cover-empty" style="width: 9%"></div></div>
	</td>
	<td data-value="91.66" class="pct high">91.66%</td>
	<td data-value="24" class="abs high">22/24</td>
	<td data-value="83.33" class="pct high">83.33%</td>
	<td data-value="12" class="abs high">10/12</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="1" class="abs high">1/1</td>
	<td data-value="91.66" class="pct high">91.66%</td>
	<td data-value="24" class="abs high">22/24</td>
	</tr>

<tr>
	<td class="file medium" data-value="users.js"><a href="users.js.html">users.js</a></td>
	<td data-value="64.93" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 64%"></div><div class="cover-empty" style="width: 36%"></div></div>
	</td>
	<td data-value="64.93" class="pct medium">64.93%</td>
	<td data-value="77" class="abs medium">50/77</td>
	<td data-value="58.82" class="pct medium">58.82%</td>
	<td data-value="17" class="abs medium">10/17</td>
	<td data-value="62.5" class="pct medium">62.5%</td>
	<td data-value="8" class="abs medium">5/8</td>
	<td data-value="64.93" class="pct medium">64.93%</td>
	<td data-value="77" class="abs medium">50/77</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Tue Dec 28 2021 20:20:35 GMT+0800 (Central Indonesia Time)
            </div>
        </div>
        <script src="../../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../../sorter.js"></script>
        <script src="../../block-navigation.js"></script>
    </body>
</html>
    